
From: Johannes Stezenbach <js@linuxtv.org>

misc. minor cleanups, select FW_LOADER and add a help text to DVB_OR51132

Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/frontends/Kconfig   |   22 +++++++++++++---------
 drivers/media/dvb/frontends/mt352.h   |    6 ------
 drivers/media/dvb/frontends/nxt2002.c |    2 --
 drivers/media/dvb/frontends/tda80xx.c |    2 +-
 4 files changed, 14 insertions(+), 18 deletions(-)

diff -puN drivers/media/dvb/frontends/Kconfig~dvb-frontends-misc-minor-cleanups drivers/media/dvb/frontends/Kconfig
--- 25/drivers/media/dvb/frontends/Kconfig~dvb-frontends-misc-minor-cleanups	2005-05-09 18:01:20.000000000 -0700
+++ 25-akpm/drivers/media/dvb/frontends/Kconfig	2005-05-09 18:01:20.000000000 -0700
@@ -12,10 +12,10 @@ config DVB_STV0299
 
 config DVB_CX24110
 	tristate "Conexant CX24110 based"
- 	depends on DVB_CORE
- 	help
+	depends on DVB_CORE
+	help
 	  A DVB-S tuner module. Say Y when you want to support this frontend.
- 
+
 config DVB_TDA8083
 	tristate "Philips TDA8083 based"
 	depends on DVB_CORE
@@ -127,8 +127,8 @@ comment "DVB-C (cable) frontends"
 config DVB_ATMEL_AT76C651
 	tristate "Atmel AT76C651 based"
 	depends on DVB_CORE
-        help
- 	  A DVB-C tuner module. Say Y when you want to support this frontend.
+	help
+	  A DVB-C tuner module. Say Y when you want to support this frontend.
 
 config DVB_VES1820
 	tristate "VLSI VES1820 based"
@@ -158,10 +158,6 @@ config DVB_NXT2002
 	help
 	  An ATSC 8VSB tuner module. Say Y when you want to support this frontend.
 
-config DVB_OR51132
-	tristate "OR51132 based (pcHDTV)"
-	depends on DVB_CORE
-
 config DVB_OR51211
 	tristate "or51211 based (pcHDTV HD2000 card)"
 	depends on DVB_CORE
@@ -169,4 +165,12 @@ config DVB_OR51211
 	help
 	  An ATSC 8VSB tuner module. Say Y when you want to support this frontend.
 
+config DVB_OR51132
+	tristate "OR51132 based (pcHDTV HD3000 card)"
+	depends on DVB_CORE
+	select FW_LOADER
+	help
+	  An ATSC 8VSB and QAM64/256 tuner module. Say Y when you want
+	  to support this frontend.
+
 endmenu
diff -puN drivers/media/dvb/frontends/mt352.h~dvb-frontends-misc-minor-cleanups drivers/media/dvb/frontends/mt352.h
--- 25/drivers/media/dvb/frontends/mt352.h~dvb-frontends-misc-minor-cleanups	2005-05-09 18:01:20.000000000 -0700
+++ 25-akpm/drivers/media/dvb/frontends/mt352.h	2005-05-09 18:01:20.000000000 -0700
@@ -63,9 +63,3 @@ extern struct dvb_frontend* mt352_attach
 extern int mt352_write(struct dvb_frontend* fe, u8* ibuf, int ilen);
 
 #endif // MT352_H
-
-/*
- * Local variables:
- * c-basic-offset: 8
- * End:
- */
diff -puN drivers/media/dvb/frontends/nxt2002.c~dvb-frontends-misc-minor-cleanups drivers/media/dvb/frontends/nxt2002.c
--- 25/drivers/media/dvb/frontends/nxt2002.c~dvb-frontends-misc-minor-cleanups	2005-05-09 18:01:20.000000000 -0700
+++ 25-akpm/drivers/media/dvb/frontends/nxt2002.c	2005-05-09 18:01:20.000000000 -0700
@@ -343,8 +343,6 @@ static int nxt2002_setup_frontend_parame
 	/* reset the agc now that tuning has been completed */
 	nxt2002_agc_reset(state);
 
-
-
 	/* set target power level */
 	switch (p->u.vsb.modulation) {
 		case QAM_64:
diff -puN drivers/media/dvb/frontends/tda80xx.c~dvb-frontends-misc-minor-cleanups drivers/media/dvb/frontends/tda80xx.c
--- 25/drivers/media/dvb/frontends/tda80xx.c~dvb-frontends-misc-minor-cleanups	2005-05-09 18:01:20.000000000 -0700
+++ 25-akpm/drivers/media/dvb/frontends/tda80xx.c	2005-05-09 18:01:20.000000000 -0700
@@ -27,7 +27,7 @@
 #include <linux/spinlock.h>
 #include <linux/threads.h>
 #include <linux/interrupt.h>
-#include <asm/irq.h>
+#include <linux/irq.h>
 #include <linux/kernel.h>
 #include <linux/module.h>
 #include <linux/slab.h>
_
